## meep 1.1.1

=== debian/changelog ===
meep (1.1.1-9ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - Update configure flag to look for /usr/share/libctl

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 09 Apr 2014 23:07:02 -0400

meep (1.1.1-9) unstable; urgency=low

  * Configure with --with-gcc-arch=no to generate generic code.
    (Closes: #735368)
  * debian/control: remove DM-Upload-Allowed
  * debian/control: libhdf5-serial-dev is libhdf5-dev now
  * debian/copyright: fix lintian warning about duplicate field

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Jan 2014 18:20:00 +0100

meep (1.1.1-8ubuntu1) quantal; urgency=low

  * debian/rules: fixed 'libctl' path (LP: #990137)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Fri, 27 Apr 2012 18:53:19 -0500

meep (1.1.1-8) unstable; urgency=low

  * debian/control: Standards Version to 3.9.3. (No changes needed).
  * debian/control: (Closes: #661661, #662956, #559773)
                    as mpich is no longer maintained and has been
                    removed, all mpi-packages have been removed as well
                    so this package is only about the serial version now
  * debian/source/format: format 3.0 (quilt) introduced
  * debian/copyright: adjust Format:

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Apr 2012 17:20:00 +0200

meep (1.1.1-7) unstable; urgency=low

  * debian/control: moved to dh 8
  * debian/control: Standards Version to 3.9.2. (No changes needed).
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Dec 2011 18:00:00 +0100

meep (1.1.1-6) unstable; urgency=low

  * debian/control: We have to use the serial version of hdf5 here.
                    Otherwise it is not possible to build the parallel
                    and serial version of meep with hdf5 support from the
                    same source package.
                    For a real parallel version please use meep-mpich.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Nov 2010 19:00:00 +0100

meep (1.1.1-5) unstable; urgency=low

  * debian/control: (Closes: #600983)
       dependency on libhdf5-mpi-dev added again 

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 Nov 2010 19:00:00 +0100

meep (1.1.1-4) unstable; urgency=low

  * debian/control: dependencies on chrpath added
  * debian/control: bump Standards Version to 3.9.1. (No changes needed).
  * debian/control: dependency on mpi-default-dev (Closes: #591160, #571445)
    - this is needed to always depend on a working version of MPI on any
      architecture
    - dependency on libmpich1.0-dev and libhdf5-seriald-dev is not needed
      anymore
  * debian/control: due to changed dependencies of dependent packages, this
                    package has to depend on libatlas-base-dev now
  * debian/control: ${misc:Depends} added 
  * debian/rules: remove rpath with chrpath

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 17 Aug 2010 18:00:00 +0200

meep (1.1.1-3) unstable; urgency=low

  * debian/rules: change configure script to produce meep-mpi paths
                  everywhere (closes: #551822)
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Oct 2009 18:00:00 +0200

meep (1.1.1-2) unstable; urgency=low

  * debian/control: conflicts added for old libmeep versions
    (closes: #548298, #548300)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Sep 2009 19:00:00 +0200

meep (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #526352, #530868, #543431)
  * debian/rules: dpatch deactivated again, patches are included in upstream
  * debian/rules: added upstream file ChangeLog to package (pedantic lintian)
  * debian/control: Standards-Version changed to 3.8.3
  * debian/*.symbols*: Maintaining symbols files for these internal libraries 
    does not appear to be a good idea at present as arch- and optimisation-
    dependent symbols tend to slip in. So turning off generation of symbols 
    files has a side-effec of fixing the build failures on armel, mips and 
    mipsel. (also closes: #537813)
  * upstream changed soname from 2 to 6
  * added lintian overrides (see comments in override file):
    - no-symbols-control-file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 31 Aug 2009 18:00:00 +0200

meep (0.20.3-3) unstable; urgency=low

  * adding modified symbols files (Closes: #520185)
    - for arch alpha, hppa, powerpc, s390, sparc
  * added ldconfig in postinst and postrm for libmeep2 and libmeep-mpi2
    to meet requirements of policy 8.1.1
  * debian/control: Standards-Version changed to 3.8.1
  * debian/control: depending on libctl-dev >=3.0.3-3 in order to use guile-1.8
  * added non empty file meep-enums.scm

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Apr 2009 19:45:00 +0200

meep (0.20.3-2) unstable; urgency=low

  * removed lintian warnings
    - debian/control more detailed extended description
    - debian/copyright changed License:-tag to correct value GPL-2+
    - adding minimal symbols file for libmeep2 and libmeep-mpi2
    - adding modified symbols files for arch amd64
  * applied patch for FTBFS with gcc4.4 (Closes: #505002)
  * debian/rules dpatch activated again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Feb 2009 19:30:00 +0100

meep (0.20.3-1) unstable; urgency=low

  * New upstream release (Closes: #491516, #491593, #491889)
  * New maintainer (Closes: #481042)
  * debian/control: Standards-Version changed to 3.8.0
  * debian/control: Homepage: added
  * debian/control: Build-Depends: changed to new name of libraries
  * debian/control: meep 0.20 now depends on libctl 3.0.3
  * soname of libraries increased to 2 by upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Jul 2008 18:30:00 +0100

meep (0.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add include to fix FTBFS on gcc4.3, closes: 455289
  * Transition to gortran, closes: 468877

