=== debian/control ===
Source: meep
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libgsl0-dev, liblapack-dev, chrpath, libatlas-base-dev,  libhdf5-dev|libhdf5-serial-dev
Standards-Version: 3.9.3
Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep

Package: meep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: h5utils
Description: software package for FDTD simulation
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the software.

Package: libmeep6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmeep1, libmeep2
Description: library for using meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the library.

Package: libmeep-dev
Section: libdevel
Architecture: any
Depends: libmeep6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmeep-mpi-dev
Description: development library for using meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains some files for developing software.
