=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = meep
soname = 6
l = lib$(package)$(soname)
ld = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx

configure: configure-stamp-serial

configure-stamp-serial: 
	dh_testdir
	mkdir -p debian/build-serial
	cd debian/build-serial && \
		F77=gfortran ../../configure $(CONFIGURE_FLAGS) || true
	touch configure-stamp-serial

build: build-arch build-indep
build-arch: build-stamp-serial
build-indep: build-stamp-serial

build-stamp-serial: configure-stamp-serial
	dh_testdir
	$(MAKE) -C debian/build-serial/
	touch build-stamp-serial

clean: 
	dh_testdir
	dh_testroot
	-rm -rf debian/build-serial
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-serial
        # Lintian overrides
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-serial: build-stamp-serial
	dh_testdir
	dh_testroot
	mkdir -p debian/build-serial/tmpinst
	$(MAKE) -C debian/build-serial/ install prefix=$(CURDIR)/debian/build-serial/tmpinst/usr
	dh_install -pmeep -p$(l) -p$(ld) \
		--sourcedir=debian/build-serial/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs -a
	dh_installman -a
	dh_installman -pmeep debian/meep.1
	dh_installchangelogs -a ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -p$(l)
	dh_installdeb -a
	dh_shlibdeps -pmeep
	dh_shlibdeps -p$(l)
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-serial
