## meep 1.2.1

=== debian/changelog ===
meep (1.2.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756679)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Aug 2014 12:00:00 +0200

meep (1.2.1-1) unstable; urgency=medium

  * new upstream version (Closes: #743466)
  * soname changed to 7
  * debian/rules: upstream ChangeLog is now called NEWS
  * debian/control: Standards Version to 3.9.5. (No changes needed).
  * debian/control: switch to dh 9
  * debian/control: use guile 2.0 now (Closes: #746007)
  * debian/rules: use debhelper (Closes: #747410)
  * debian/rules: use --with autoreconf (Closes: #744465)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 10 May 2014 15:20:00 +0200
