=== debian/control ===
--- 
+++ 
@@ -1,10 +1,22 @@
 Source: meep
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libgsl0-dev, liblapack-dev, chrpath, libatlas-base-dev,  libhdf5-dev|libhdf5-serial-dev
-Standards-Version: 3.9.3
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.0.3-3), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, 
+  libfftw3-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  chrpath, 
+  libatlas-base-dev,  
+  libhdf5-dev
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep
@@ -35,11 +47,12 @@
  .
  This package contains the software.
 
-Package: libmeep6
+Package: libmeep7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmeep1, libmeep2
+Pre-Depends: multiarch-support
+Conflicts: libmeep1, libmeep2, libmeep6
 Description: library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -67,7 +80,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep6 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
