## meep 1.3

=== debian/changelog ===
meep (1.3-3build1) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:22:36 +0000

meep (1.3-3) unstable; urgency=medium

  * debian/rules: exclude architectures from tests (see #759790)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Jul 2015 20:00:00 +0200

meep (1.3-2) unstable; urgency=medium

  * debian/rules: use --parallel in dh (Closes: #759790)
                  (Thanks to Gilles Filippini for this hint) 
  * debian/rules: don't use tests on powerpc until issue is clarified
                  (Closes: #790917)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Jul 2015 11:00:00 +0200

meep (1.3-1) unstable; urgency=medium

  * new upstream version (Closes: #781624, #789558)
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 22 Jun 2015 19:00:00 +0200
