=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   chrpath, 
   libatlas-base-dev,  
   libhdf5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep
@@ -47,12 +47,11 @@
  .
  This package contains the software.
 
-Package: libmeep7
+Package: libmeep8
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: multiarch-support
-Conflicts: libmeep1, libmeep2, libmeep6
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
+Conflicts: libmeep1, libmeep2, libmeep6, libmeep7
 Description: library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -80,7 +79,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep8 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
