=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 install_file    = /usr/bin/install -p -o root -g root -m 644
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
   export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
@@ -21,7 +22,7 @@
 	--enable-shared --with-pic --enable-cxx
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
 
 override_dh_auto_configure:
 	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)
@@ -34,3 +35,17 @@
 	# we do not need this anymore
 	rm -f tests/latest_output
 	dh_clean
+
+override_dh_auto_test:
+	echo ${arch}
+	if [ "${arch}" = "armel" ] || \
+	   [ "${arch}" = "mips" ] || \
+	   [ "${arch}" = "mipsel" ] || \
+	   [ "${arch}" = "poerpc" ] || \
+	   [ "${arch}" = "sparc" ] ; then \
+	  echo "Do not make tests on this architecture" ;\
+	else \
+	  echo "Do make tests on this architecture" ;\
+	  make check; \
+	fi
+
