## meep 1.7.0

=== debian/changelog ===
meep (1.7.0-3) sid; urgency=medium

  * debian/control: also depend on mpi
  * debian/control: update description according to upstream wishes
  * debian/control: update homepage
  * debian/control: Standards Version to 4.3.0. (No changes needed).
  * debian/control: add dependency for python-scipy
  * debian/copyright: update Upstream-Source:

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 31 Jan 2019 19:00:00 +0100

meep (1.7.0-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: add more Conflicts: (Closes: #916823)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 26 Dec 2018 19:20:24 +0100

meep (1.7.0-1) experimental; urgency=medium

  * New upstream release (Closes: #887955)
  * debian/control: Standards Version to 4.2.1. (No changes needed).
  * update debian/watch
  * debian/control: depend on newest libctl and thus on guile2.2
                    (Closes: #885228)
  * debian/control: depend on newest libharminv
  * debian/control: add salsa VCS URLs
  * debian/control: bump SONAME to 12
  * debian/rules: don't use --parallel as dh parameter

  [ Ruben Undheim ]
  * add python package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 17 Dec 2018 19:30:24 +0100

meep (1.4.3-1) UNRELEASED; urgency=medium

  * New upstream release (Closes: #887955)
  * debian/control: use dh11
  * debian/control: Standards Version to 4.1.3. (No changes needed).
  * debian/control: use libctl>=4.0.0
  * debian/control: add swig dependency
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/rules: add --enable-maintainer-mode to configure flags

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Feb 2018 19:01:56 +0100

meep (1.3-4) unstable; urgency=medium

  * debian/control: Update build dependencies for GSL 2, (Closes: #807210)
                    change libgsl0-dev to libgsl-dev.
                    Thanks to Bas Couwenberg for the patch
  * debian/rules: Update configure flag to look for /usr/share/libctl
                  Thanks to Logan Rosen for the patch (Closes:  #748822)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Dec 2015 11:00:00 +0100
