## meep 1.12.0

=== debian/changelog ===
meep (1.12.0-2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:07 +0100

meep (1.12.0-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:36:35 +0000

meep (1.12.0-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: change dependency from atlas to libblas-dev
                    (see MBF Mail and #943712)
                    (Closes: #943827)
  * debian/copyright: update (Closes: #945970)
  * debian/control: update Conflicts: (Closes: #940491)
                    traditionally this is done in meep-* packages
                    those have been uploaded now, so I am closing this
                    bug here

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Dec 2019 21:40:40 +0100

meep (1.12.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/control: use dh12
  * debian/control: bump SONAME to 17
  * debian/control: depend on libctl >= 4.4.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Nov 2019 19:40:40 +0100

meep (1.11.0-3) experimental; urgency=medium

  * disable tests on some architectures
    (they still last too long)
  * build python3 package (Closes: #937003)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Oct 2019 20:51:25 +0200

meep (1.11.0-2) experimental; urgency=medium

  * add "Conflict: libmeep12" for libmeep16 (Closes: #940491)
    Thanks to Andreas for the QA-work.
  * add "Build-Depends: libgdsii-dev" (Closes: #922037)
    Thanks to Ruben for the suggestion.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Oct 2019 18:51:25 +0200

meep (1.11.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump SONAME to 16

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Sep 2019 18:51:25 +0200
