=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 11)
-	, libctl-dev (>= 4.1.4-2)
+	, debhelper (>= 12)
+	, libctl-dev (>= 4.4.0)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -12,15 +12,16 @@
 	, libgsl-dev
 	, liblapack-dev
 	, chrpath
-	, libatlas-base-dev
+	, libblas-dev
 	, libhdf5-dev
 	, swig
 	, mpb-dev, mpb
-	, python-dev
-	, python-numpy
-	, python-h5py
-	, python-scipy
-Standards-Version: 4.3.0
+	, python3-dev
+	, python3-numpy
+	, python3-h5py
+	, python3-scipy
+	, libgdsii-dev
+Standards-Version: 4.4.1
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
 Vcs-Git: https://salsa.debian.org/alteholz/meep.git
@@ -60,11 +61,11 @@
  .
  This package contains the software.
 
-Package: libmeep12
+Package: libmeep17
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
-Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10
+Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -99,7 +100,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep12 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep17 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -132,14 +133,14 @@
  .
  This package contains some files for developing software.
 
-Package: python-meep
+Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep12 (= ${binary:Version})
+Depends: libmeep17 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
-	, python-numpy
-	, python
+	, python3-numpy
+	, python3
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
