## meep 1.17.1

=== debian/changelog ===
meep (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: fix dependencies (Closes: #979815)
  * debian/control: close guile-3.0 bug (Closes: #969693)
                    (realy fixed in 1.16.1-3)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Jan 2021 19:02:15 +0000

meep (1.17.0-2) unstable; urgency=medium

  * soname bump of libmeep22 to libmeep23

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 07 Jan 2021 21:31:10 +0000

meep (1.17.0-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2021 23:31:10 +0000

meep (1.16.1-3) experimental; urgency=medium

  * upload to experimental
  * build with guile-3.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Dec 2020 16:30:11 +0100

meep (1.16.1-2) unstable; urgency=medium

  * source upload after NEW
  * debian/control: add dependency for python3-matplotlib
  * debian/control: adjust Conflicts (hopefully really Closes: #940491)
  * debian/rules: put the check for nocheck around the correct block
                  (Closes: #975946)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Nov 2020 14:30:11 +0100

meep (1.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 Nov 2020 19:30:11 +0000

meep (1.12.0-3) unstable; urgency=medium

  * use correct package name in python3-meep.p*
    (Closes: #956474, #953677)
    (thanks to Claus Fütterer and Kyle Robbertze for the bug reports)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Apr 2020 19:40:40 +0200
