=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 12)
-	, libctl-dev (>= 4.4.0)
+	, debhelper-compat (= 12)
+	, libctl-dev (>= 4.5.0-8)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -15,13 +15,14 @@
 	, libblas-dev
 	, libhdf5-dev
 	, swig
-	, mpb-dev, mpb
+	, mpb-dev (>= 1.11.1-2) , mpb
 	, python3-dev
 	, python3-numpy
 	, python3-h5py
 	, python3-scipy
+	, python3-matplotlib
 	, libgdsii-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
 Vcs-Git: https://salsa.debian.org/alteholz/meep.git
@@ -29,6 +30,9 @@
 Package: meep
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: meep-mpi-default
+	, meep-mpich2
+	, meep-openmpi
 Recommends: h5utils
 Description: software package for FDTD simulation
  Meep is a free and open-source software package for electromagnetics
@@ -61,11 +65,51 @@
  .
  This package contains the software.
 
-Package: libmeep17
+Package: libmeep23
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
-Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmeep-openmpi6
+        , libmeep-openmpi7
+        , libmeep-openmpi8
+        , libmeep-openmpi12
+        , libmeep-openmpi16
+        , libmeep-openmpi17
+        , libmeep-openmpi22
+        , libmeep-openmpi23
+        , libmeep-lam4-6
+        , libmeep-lam4-7
+        , libmeep-lam4-8
+        , libmeep-lam4-12
+        , libmeep-lam4-16
+        , libmeep-lam4-17
+        , libmeep-lam4-22
+        , libmeep-lam4-23
+        , libmeep-mpi-default6
+        , libmeep-mpi-default7
+        , libmeep-mpi-default8
+        , libmeep-mpi-default12
+        , libmeep-mpi-default16
+        , libmeep-mpi-default17
+        , libmeep-mpi-default22
+        , libmeep-mpi-default23
+        , libmeep-mpich2-6
+        , libmeep-mpich2-7
+        , libmeep-mpich2-8
+        , libmeep-mpich2-12
+        , libmeep-mpich2-16
+        , libmeep-mpich2-17
+        , libmeep-mpich2-22
+        , libmeep-mpich2-23
+        , libmeep6
+        , libmeep7
+        , libmeep8
+        , libmeep10
+        , libmeep12
+        , libmeep16
+        , libmeep17
+        , libmeep22
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -100,7 +144,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep17 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep23 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -136,7 +180,7 @@
 Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep17 (= ${binary:Version})
+Depends: libmeep23 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
 	, python3-numpy
